### Method

# Gtk TreePath to_string

#### Declaration [src]

    char*
    gtk_tree_path_to_string (
      GtkTreePath* path
    )

#### Description [src]

Generates a string representation of the path.

This string is a “:” separated list of numbers. For example, “4:10:0:3” would be an acceptable return value for this string. If the path has depth 0, `NULL` is returned.

#### Return value

Returns: | `char*`
| A newly-allocated string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.